org.eclipse.rap.rwt.client.service

## Interface JavaScriptLoader

All Superinterfaces:
  ClientService, java.io.Serializable

Deprecated.
Use `ClientFileLoader` instead.

    @Deprecated
    public interface JavaScriptLoader
    extends ClientService

The JavaScriptLoader service allows loading additional JavaScript files at runtime.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `require(java.lang.String url)` Deprecated. Instructs the client to immediately load and evaluate a JavaScript file from the given URL.

### Method Detail

#### require

    void require(java.lang.String url)

Deprecated.
Instructs the client to immediately load and evaluate a JavaScript file from the given URL. If the file has already been loaded by the client, nothing happens. The `ResourceManager` can be used to register a file that can be loaded by the JavaScriptLoader. Since 2.2 the file can also loaded from any other server the client can connect to.

Parameters:
  `url` - the URL from which to load the JavaScript file

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0